Get volume template
curl --request GET \
--url https://api.blaxel.ai/v0/volume_templates/{volumeTemplateName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/volume_templates/{volumeTemplateName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/volume_templates/{volumeTemplateName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.blaxel.ai/v0/volume_templates/{volumeTemplateName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.blaxel.ai/v0/volume_templates/{volumeTemplateName}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.blaxel.ai/v0/volume_templates/{volumeTemplateName}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.blaxel.ai/v0/volume_templates/{volumeTemplateName}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"metadata": {
"name": "my-resource",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "My Resource",
"externalId": "my-session-123",
"labels": {},
"plan": "<string>",
"url": "<string>",
"workspace": "<string>"
},
"spec": {
"defaultSize": 123,
"description": "<string>"
},
"state": {
"lastVersionUploadedAt": "<string>",
"latestVersion": "<string>",
"status": "created",
"versionCount": 123
},
"versions": [
{
"bucket": "<string>",
"contentSize": 123,
"name": "<string>",
"region": "<string>",
"status": "CREATED",
"templateName": "<string>",
"versionId": "<string>",
"workspace": "<string>"
}
]
}volumeTemplates
Get volume template
Returns a volume template by name.
GET
/
volume_templates
/
{volumeTemplateName}
Get volume template
curl --request GET \
--url https://api.blaxel.ai/v0/volume_templates/{volumeTemplateName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/volume_templates/{volumeTemplateName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/volume_templates/{volumeTemplateName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.blaxel.ai/v0/volume_templates/{volumeTemplateName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.blaxel.ai/v0/volume_templates/{volumeTemplateName}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.blaxel.ai/v0/volume_templates/{volumeTemplateName}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.blaxel.ai/v0/volume_templates/{volumeTemplateName}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"metadata": {
"name": "my-resource",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "My Resource",
"externalId": "my-session-123",
"labels": {},
"plan": "<string>",
"url": "<string>",
"workspace": "<string>"
},
"spec": {
"defaultSize": 123,
"description": "<string>"
},
"state": {
"lastVersionUploadedAt": "<string>",
"latestVersion": "<string>",
"status": "created",
"versionCount": 123
},
"versions": [
{
"bucket": "<string>",
"contentSize": 123,
"name": "<string>",
"region": "<string>",
"status": "CREATED",
"templateName": "<string>",
"versionId": "<string>",
"workspace": "<string>"
}
]
}Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
FlowAuthorization Code
- Authorization URL
- /oauth/authorize
- Token URL
- /oauth/token
FlowClient Credentials
- Token URL
- /oauth/token
Scopes1
volumeTemplates:get
Get volume template details
Path Parameters
Name of the volume template
Response
200 - application/json
successful operation
Volume template for creating pre-configured volumes
Common metadata fields shared by all Blaxel resources including name, labels, timestamps, and ownership information
Show child attributes
Show child attributes
Volume template specification
Show child attributes
Show child attributes
Volume template state
Show child attributes
Show child attributes
List of versions for this template
Show child attributes
Show child attributes
Last modified on October 9, 2026
Was this page helpful?